How to update from WAB Developer Edition 2.2 to 2.7?

1785
12
01-22-2018 03:01 PM
EmilioSolano
New Contributor III

Would like instructions to update from Web Appbuilder Developer Edition 2.2 to the new 2.7 version. I haven't found any instructions, only the steps to install from scratch.

My concern is to upgrade without having to damage existing custom widgets.

Thanks.

0 Kudos
12 Replies
RebeccaStrauch__GISP
MVP Esteemed Contributor

I would recommend starting with a clean (new folder) for any updated WAB version.  Trying to update in place in my opinion is risky.  From that point there are options.  Typically you are working in the WAB dev software for developing, then deploy from that.  Or are you wanting to tweak you deployed versions direct?  That would be tricky (understatement) is my guess.

0 Kudos
EmilioSolano
New Contributor III

Hi Rebecca,

Thanks for your prompt response. I did as you mention, created a new folder for WAB and named WABDEV27 to distinguish from the old WAB.

An additional question: How do I import an existing app from WAB? I tried the option to import from my computer and selected a zipped app but it failed. Any advise?

Thanks,

Emilio

Sent from Mail for Windows 10

0 Kudos
RobertScheitlin__GISP
MVP Esteemed Contributor

Emilio,

   The best approach to upgrading is to use the WAB NodeJS command for upgrading.

Upgrade apps—Web AppBuilder for ArcGIS (Developer Edition) | ArcGIS for Developers 

This is the method I use all the time. Now upgrading 5 minor versions may cause some issues.

RebeccaStrauch__GISP
MVP Esteemed Contributor

ha...beat me to it.    Robert is the expert so I will bow to his advice.

I do have some b logs however where I may have some other tips mixed.  As always, they could use another refresh and cleanup but they may help.    this may be a good one to start with (although haven't updated since 2.5 it looks like) https://community.esri.com/blogs/myAlaskaGIS/2017/02/15/web-appbuilder-tips-and-links-for-creating-m... 

DevonHedemark1
New Contributor III

Hi Robert,

I also have WAB Dev. Edition at version 2.4.  I would like to upgrade to the latest version 2.7.  You mentioned possible issues.  I have downloaded each minor version 2.4 - 2.7. Should I step through separate upgrades for each minor version to be safe? Are there tricks to determine if the upgrade worked correctly?

Also, I am using some of your 2.4 custom widgets like the eSearch and eBasemap widgets. 

Regards, Devon

0 Kudos
RobertScheitlin__GISP
MVP Esteemed Contributor

Devon,

I would try and take the big leap first from 2.4 to 2.7 and see if your apps work as expected. If you are using 2.4 versions of my widgets then once you have a working upgraded app then you need to replace the stemApp widgets eSearch and eBasemap folders with the 2.7 version and ALSO replace those widgets inside the app widgets folder.

MathewSuran
New Contributor III

Hey Robert,

I am upgrading from 2.6 to 2.7.  I have followed your "Upgrade apps" documentation.  My logs file has been created and displays [INFO] for both actions: upgrade Builder Folder and upgrade App id.  When I run the startup from 2.7, I get prompted to enter the App ID and specify my Portal.  After I enter my App ID, the normal WAB home page opens but there are no apps listed.  There is also no apps folder creation after the upgrade in the 2.7 server folder.  Unless I am missing something, shouldn't the app be copied over from 2.6 to 2.7 with the custom/default widgets when performing this upgrade?

0 Kudos
RobertScheitlin__GISP
MVP Esteemed Contributor

Matthew,

  Absolutely the command line upgrade should copy the apps from the old WAB version into the new install. So you did not see any errors in the command line window that you ran the upgrade command in?

0 Kudos
MathewSuran
New Contributor III

That is correct, there are no errors in the command line, both are green.

0 Kudos